This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | JSONObject
Name | ### getJSONObject()
Examples |
    // The following short JSON file called "data.json" is parsed
    // in the code below. It must be in the project's "data" folder.
    //
    // {
    //   "goat": {
    //     "id": 0,
    //     "species": "Capra hircus"
    //   },
    //   "leopard": {
    //     "id": 1,
    //     "species": "Panthera pardus"
    //   },
    //   "zebra": {
    //     "id": 2,
    //     "species": "Equus zebra"
    //   }
    // }

    JSONObject json;

    void setup() {

      json = loadJSONObject("data.json");

      JSONObject goat = json.getJSONObject("goat");

      int id = goat.getInt("id");
      String species = goat.getString("species");

      println(id + ", " + species);
    }

    // Sketch prints:
    // 0, Capra hircus
Description | Given a key value, retrieves the associated JSONObject.
Syntax |
    .getJSONObject(key)
Parameters |
key | String: a key string
Returns | JSONObject
Related | getJSONArray() setJSONObject() setJSONArray()

Updated on October 26, 2013 08:58:33pm PDT